package com.ruoyi.system.domain;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class AmountStatics {
    private String unit;

    private String yearMonth;

    private BigDecimal income;

    private BigDecimal cost;

    private BigDecimal netProfit;

    private BigDecimal netProfitPrecent;

    public AmountStatics() {
    }

    public BigDecimal getNetProfit() {
        return netProfit;
    }

    public void setNetProfit(BigDecimal netProfit) {
        this.netProfit = netProfit;
    }

    public BigDecimal getNetProfitPrecent() {
        return netProfitPrecent;
    }

    public void setNetProfitPrecent(BigDecimal netProfitPrecent) {
        this.netProfitPrecent = netProfitPrecent;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public BigDecimal getIncome() {
        return income;
    }

    public void setIncome(BigDecimal income) {
        this.income = income;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    @Override
    public String toString() {
        return "AmountStatics{" +
                "unit='" + unit + '\'' +
                ", yearMonth='" + yearMonth + '\'' +
                ", income=" + income +
                ", cost=" + cost +
                ", netProfit=" + netProfit +
                ", netProfitPrecent=" + netProfitPrecent +
                '}';
    }
}
